mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Runtime.Serialization.IFormatter System.CLSCompliant(false) System.Runtime.InteropServices.ComVisible(true)

is the abstract base class for all runtime serialization formatters, and provides some helper methods for implementing the interface. The also manages queuing objects for serialization and generating IDs on a per-object basis.

Provides base functionality for the common language runtime serialization formatters.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Creates a for objects to serialize and a to generate IDs for them.

  Initializes a new instance of the class.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.SerializationBinder To be added.

  The performs lookups for types from the type names passed during deserialization. If no is set, a default is used.

  When overridden in a derived class, gets or sets the used with the current formatter.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.StreamingContext To be added.

  The is an indication of either the source of the bits being deserialized or the destination of the bits being serialized. It has no impact on default serialization, but is passed as an argument to and .

  When overridden in a derived class, gets or sets the used for the current serialization.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added

  When overridden in a derived class, deserializes the stream attached to the formatter when it was created, creating a graph of objects identical to the graph originally serialized into that stream.

  The top object of the deserialized graph of objects.

  The stream to deserialize.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added: an object of type 'long&' To be added To be added: an object of type 'object' To be added
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.ObjectIDGenerator

  The maintains a list of the objects that have been identified and the IDs that they were given.

  Contains the used with the current formatter.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Collections.Queue

  Objects scheduled for serialization with the method are pushed on the queue.

  Contains a of the objects left to serialize.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int64 ``

  obtains an ID for the object and puts it on the queue for later serialization if this is a new object ID. The schedule is a work queue of objects to serialize, and is held inside the formatter. If the object is already on the work queue, it will not be added a second time, but an exception will not be thrown either.

  Schedules an object for later serialization.

  The object ID assigned to the object.

  The object to schedule for serialization.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  When overridden in a derived class, serializes the graph of objects with the specified root to the stream already attached to the formatter.

  The stream to which the objects are serialized. The object at the root of the graph to serialize.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.Serialization.ISurrogateSelector To be added.

  Use the to look up implementations of that control the serialization of a particular type.

  If an object type has a matching surrogate, then serialization and deserialization are handed off to the surrogate even if the type implements the interface.

  When overridden in a derived class, gets or sets the used with the current formatter.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added

  When overridden in a derived class, writes an array to the stream already attached to the formatter.

  The array to write. The name of the array. The type of elements that the array holds.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  When overridden in a derived class, writes a Boolean value to the stream already attached to the formatter.

  The value to write. The name of the member.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  When overridden in a derived class, writes an 8-bit unsigned integer to the stream already attached to the formatter.

  The value to write. The name of the member.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  When overridden in a derived class, writes a Unicode character to the stream already attached to the formatter.

  The value to write. The name of the member.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  When overridden in a derived class, writes a value to the stream already attached to the formatter.

  The value to write. The name of the member.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  When overridden in a derived class, writes a value to the stream already attached to the formatter.

  The value to write. The name of the member.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  When overridden in a derived class, writes a double-precision floating-point number to the stream already attached to the formatter.

  The value to write. The name of the member.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  When overridden in a derived class, writes a 16-bit signed integer to the stream already attached to the formatter.

  The value to write. The name of the member.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  When overridden in a derived class, writes a 32-bit signed integer to the stream.

  The value to write. The name of the member.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  When overridden in a derived class, writes a 64-bit signed integer to the stream.

  The value to write. The name of the member.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  To use this method properly, all the Write methods ( method, method, method, and so on) should have the appropriate functionality.

  Inspects the type of data received, and calls the appropriate Write method to perform the write to the stream already attached to the formatter.

  The name of the member to serialize. The object to write to the stream attached to the formatter.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  Schedules the object with the graph walker to handle the work.

  When overridden in a derived class, writes an object reference to the stream already attached to the formatter.

  The object reference to write. The name of the member. The type of object the reference points to.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Void `` `` To be added

  When overridden in a derived class, writes an 8-bit signed integer to the stream already attached to the formatter.

  The value to write. The name of the member.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  When overridden in a derived class, writes a single-precision floating-point number to the stream already attached to the formatter.

  The value to write. The name of the member.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added

  When overridden in a derived class, writes a value to the stream already attached to the formatter.

  The value to write. The name of the member.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Void `` `` To be added

  When overridden in a derived class, writes a 16-bit unsigned integer to the stream already attached to the formatter.

  The value to write. The name of the member.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Void `` `` To be added

  When overridden in a derived class, writes a 32-bit unsigned integer to the stream already attached to the formatter.

  The value to write. The name of the member.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.CLSCompliant(false)
  System.Void `` `` To be added

  When overridden in a derived class, writes a 64-bit unsigned integer to the stream already attached to the formatter.

  The value to write. The name of the member.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` `` To be added

  When overridden in a derived class, writes a value of the given type to the stream already attached to the formatter.

  The object representing the value type. The name of the member. The of the value type.